Bug 461384 - Toshiba A65 overheats under load
Toshiba A65 overheats under load
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Feeney
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-06 23:48 EDT by dave
Modified: 2013-01-10 02:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:11:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
output of /usr/sbin/acpidump (81.04 KB, text/plain)
2008-09-15 12:23 EDT, dave
no flags Details

  None (edit)
Description dave 2008-09-06 23:48:47 EDT
User-Agent:       Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.8.1.16) Gecko/20080702 Firefox/2.0.0.16

Greetings-- I've just installed the current release of Fedora (FC9) for the first time on my dual boot Toshiba laptop, Model A65-S126, which uses an ACPI BIOS. I think the important things for me are working except that fan control intermittently doesn't work (e.g., stuck on or off), which can cause the box to overheat to the point of powerdown. I loaded fnfx from the Fedora software repository to provide some manual control, and it loaded without incident, but won't run. Trying to start fnfxd (e.g., at boot time) complains:
   Fatal error: Could [not] open /proc/acpi/toshiba/keys.
   Please make sure that your kernel has enabled the Toshiba option in the ACPI section.

The install created a /proc/acpi directory, but no /proc/acpi/toshiba under it. I found the toshiba_acpi module down the /lib/modules tree, but apparently it can't be loaded by the kernel. Trying to do so using "/sbin/modprobe -i toshiba_acpi" complains about "No such device".

So here are my (related) questions: Do I really have to recompile the kernel to get Toshiba support (what's the best way to know what options were used to build the kernel)? Is fnfx supposed to be runnable on FC9? For what it's worth-- XP is able to make this hardware work.

Reproducible: Always

Steps to Reproduce:
1. Install fnfx and reboot
2.
3.
Actual Results:  
Boot load of fnfxd complains as described above.

Expected Results:  
Fnfxd should have loaded successfully.
Comment 1 Matthew Garrett 2008-09-12 07:03:04 EDT
The A65 doesn't use the same kind of BIOS as most other Toshibas, and so toshiba_acpi and fnfxd will not work on this hardware. Could you install the pmtools package and attach the output of the acpidump command, along with /proc/cpuinfo ?
Comment 2 dave 2008-09-15 12:23:09 EDT
Created attachment 316759 [details]
output of /usr/sbin/acpidump
Comment 3 dave 2008-09-15 12:25:15 EDT
**************the contents of /proc/cpuinfo follow:
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 2
model name      : Intel(R) Celeron(R) CPU 2.80GHz
stepping        : 9
cpu MHz         : 2800.237
cache size      : 128 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe up pebs bts cid xtpr
bogomips        : 5603.77
clflush size    : 64

**************the output of acpidump have been attached.
Comment 4 dave 2008-09-23 15:51:44 EDT
I need to append to this report. I've been loading a bunch of ACPI-related stuff onto the Fedora installation, including some supposedly out-of-date utilities from Toshiba. Somewhere along the way I noticed my fan was actually ramping up and down. Sorry I can't be more specific about when that happened. The dynamic range might not be quite right (it lets the CPU get up to 60 C degrees or so, according to "hddtemp"), but the fan *is* adjusting during use. I still don't have any sort of manual control over the fan or the screen brightness, etc., but I think I can live with this as it is. If a better solution appears, I'd be interested, but if you've got better things to do with your time...  

Thanks for looking at this.
Comment 5 Bug Zapper 2009-06-09 22:38:39 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 13:11:51 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.